--- 1.28/check_rcpt.conf	2019-10-02 15:13:06.384429125 -0600
+++ 1.29/check_rcpt.conf	2019-10-17 15:55:56.704768836 -0600
@@ -11,7 +11,7 @@
        dnslists = RBL_DNS_LIST
        set acl_m_easy69 = ${eval:$acl_m_easy69+EASY_DNS_BLACKLIST}
        add_header = BlacklistCheck: Blacklisted address, +EASY_DNS_BLACKLIST Spam score
-
+       logwrite = BlacklistCheck: Blacklisted address - $sender_host_address
 
   ##########################
   # Check SPF record - deny, decrement spam score, or add to score
@@ -24,18 +24,20 @@
     !authenticated = *
     condition = ${if !eq{$acl_c_esf_skip}{1}}
     condition = ${if >={EASY_SPF_FAIL}{EASY_HIGH_SCORE_DROP}}
-	condition = ${if !eq{$acl_m_is_whitelisted}{1}}
+    condition = ${if !eq{$acl_m_is_whitelisted}{1}}
     spf = fail
     message = SPF: $sender_host_address is not allowed to send mail from $sender_address_domain: $spf_smtp_comment
+    logwrite = SPFCheck: $sender_host_address is not allowed to send mail from $sender_address_domain: $spf_smtp_comment
 
   warn
     !authenticated = *
     condition = ${if !eq{$acl_c_esf_skip}{1}}
     condition = ${if !eq{EASY_SPF_FAIL}{0}}
     spf = fail
-	set acl_m_slow1 = 1
+    set acl_m_slow1 = 1
     set acl_m_easy69 = ${eval:$acl_m_easy69+EASY_SPF_FAIL}
     add_header = SPFCheck: Fail, EASY_SPF_FAIL Spam score
+    logwrite = SPFCheck: Fail $sender_host_address
 
   warn
     !authenticated = *
@@ -53,7 +55,7 @@
 	set acl_m_slow1 = 1
     set acl_m_easy69 = ${eval:$acl_m_easy69+EASY_SPF_SOFT_FAIL}
     add_header = SPFCheck: Soft Fail, EASY_SPF_SOFT_FAIL Spam score
-
+    logwrite = SPFCheck: Soft Fail $sender_host_address
 
   ##########################
   # If sender IP is not that of one of sender's domain's mailservers, 
